Warning: Javascript-Event deprecated in RubyMine

Hi,

RubyMine says, "event" is a deprecated symbol, ".. consult docs for better alternative".

i searched, but cannot find anything that "event" would be deprecated.

what is the reason?

and if, how cant i stop this warning?

thanks,

Chris

 

1 comment
Comment actions Permalink

the IDE gets the information about deprecation from JSDoc annotations in library code; it's marked @deprecated in lib.dom.d.ts library file provided by Microsoft (see https://github.com/Microsoft/TypeScript/blob/master/lib/lib.dom.d.ts#L19501)

You will get the same issue in other IDEs, BTW - see what it looks like in VSCode:

0

Please sign in to leave a comment.